curl --request PATCH \
--url https://{region}.affinda.com/v3/resthook_subscriptions/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"event": "document.parse.succeeded",
"organization": "mEFayXdO",
"workspace": "mEFayXdO",
"version": "v3"
}
'import requests
url = "https://{region}.affinda.com/v3/resthook_subscriptions/{id}"
payload = {
"event": "document.parse.succeeded",
"organization": "mEFayXdO",
"workspace": "mEFayXdO",
"version": "v3"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
event: 'document.parse.succeeded',
organization: 'mEFayXdO',
workspace: 'mEFayXdO',
version: 'v3'
})
};
fetch('https://{region}.affinda.com/v3/resthook_subscriptions/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": 123,
"event": "document.parse.succeeded",
"organization": {
"identifier": "mEFayXdO",
"name": "Grove Street King",
"userRole": "admin",
"avatar": "https://affinda-api.s3.amazonaws.com/media/org-avatar.png?AWSAccessKeyId=KEY&Signature=SIG",
"resthookSignatureKey": "465c6598bd34c0558f0ce256c43209d49fa85b0ff3e4c18b24e408b7563143ad",
"isTrial": true,
"validationToolConfig": {
"theme": {
"palette": {
"background": "<string>",
"text": {
"primary": "<string>",
"secondary": "<string>",
"disabled": "<string>"
},
"divider": "<string>",
"primary": {
"main": "<string>",
"light": "<string>",
"dark": "<string>",
"contrastText": "<string>"
},
"secondary": {
"main": "<string>",
"light": "<string>",
"dark": "<string>",
"contrastText": "<string>"
},
"success": {
"main": "<string>",
"light": "<string>",
"dark": "<string>",
"contrastText": "<string>"
},
"annotation": {
"main": "<string>",
"light": "<string>",
"dark": "<string>",
"contrastText": "<string>"
},
"error": {
"main": "<string>",
"light": "<string>",
"dark": "<string>",
"contrastText": "<string>"
},
"info": {
"main": "<string>",
"light": "<string>",
"dark": "<string>",
"contrastText": "<string>"
},
"warning": {
"main": "<string>",
"light": "<string>",
"dark": "<string>",
"contrastText": "<string>"
}
},
"typography": {
"fontFamily": "<string>",
"fontSize": "<string>",
"fontWeightRegular": "<string>",
"fontWeightMedium": "<string>",
"fontWeightBold": "<string>"
},
"borderRadius": 123,
"fontUrl": "<string>"
},
"hideActions": true,
"hideCollection": true,
"hideEditPages": true,
"hideExport": true,
"hideFilename": true,
"hideShowRawValues": true,
"hideReject": true,
"hideReparse": true,
"hideRunOcr": true,
"hideTags": true,
"hideWarnings": true,
"restrictDocumentSplitting": true,
"disableCurrencyFormatting": true,
"disableEditDocumentMetadata": true,
"disableManualAnnotationEditing": true,
"hideDocumentStatus": true
},
"showCustomFieldCreation": true,
"allowDataSourceRecordCreation": true
},
"workspace": {
"identifier": "mEFayXdO",
"name": "<string>",
"organization": {
"identifier": "mEFayXdO",
"name": "Grove Street King",
"userRole": "admin",
"avatar": "https://affinda-api.s3.amazonaws.com/media/org-avatar.png?AWSAccessKeyId=KEY&Signature=SIG",
"resthookSignatureKey": "465c6598bd34c0558f0ce256c43209d49fa85b0ff3e4c18b24e408b7563143ad",
"isTrial": true,
"validationToolConfig": {
"theme": {
"palette": {
"background": "<string>",
"text": {
"primary": "<string>",
"secondary": "<string>",
"disabled": "<string>"
},
"divider": "<string>",
"primary": {
"main": "<string>",
"light": "<string>",
"dark": "<string>",
"contrastText": "<string>"
},
"secondary": {
"main": "<string>",
"light": "<string>",
"dark": "<string>",
"contrastText": "<string>"
},
"success": {
"main": "<string>",
"light": "<string>",
"dark": "<string>",
"contrastText": "<string>"
},
"annotation": {
"main": "<string>",
"light": "<string>",
"dark": "<string>",
"contrastText": "<string>"
},
"error": {
"main": "<string>",
"light": "<string>",
"dark": "<string>",
"contrastText": "<string>"
},
"info": {
"main": "<string>",
"light": "<string>",
"dark": "<string>",
"contrastText": "<string>"
},
"warning": {
"main": "<string>",
"light": "<string>",
"dark": "<string>",
"contrastText": "<string>"
}
},
"typography": {
"fontFamily": "<string>",
"fontSize": "<string>",
"fontWeightRegular": "<string>",
"fontWeightMedium": "<string>",
"fontWeightBold": "<string>"
},
"borderRadius": 123,
"fontUrl": "<string>"
},
"hideActions": true,
"hideCollection": true,
"hideEditPages": true,
"hideExport": true,
"hideFilename": true,
"hideShowRawValues": true,
"hideReject": true,
"hideReparse": true,
"hideRunOcr": true,
"hideTags": true,
"hideWarnings": true,
"restrictDocumentSplitting": true,
"disableCurrencyFormatting": true,
"disableEditDocumentMetadata": true,
"disableManualAnnotationEditing": true,
"hideDocumentStatus": true
},
"showCustomFieldCreation": true,
"allowDataSourceRecordCreation": true
}
},
"targetUrl": "https://my-site.com/receive",
"active": true,
"autoDeactivated": true,
"autoDeactivateReason": "Resthook fails after 10 retries. The last error received was: 500 - Internal server error.",
"version": "v3"
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}Update a resthook subscription
Update data of a resthook subscription.
curl --request PATCH \
--url https://{region}.affinda.com/v3/resthook_subscriptions/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"event": "document.parse.succeeded",
"organization": "mEFayXdO",
"workspace": "mEFayXdO",
"version": "v3"
}
'import requests
url = "https://{region}.affinda.com/v3/resthook_subscriptions/{id}"
payload = {
"event": "document.parse.succeeded",
"organization": "mEFayXdO",
"workspace": "mEFayXdO",
"version": "v3"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
event: 'document.parse.succeeded',
organization: 'mEFayXdO',
workspace: 'mEFayXdO',
version: 'v3'
})
};
fetch('https://{region}.affinda.com/v3/resthook_subscriptions/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": 123,
"event": "document.parse.succeeded",
"organization": {
"identifier": "mEFayXdO",
"name": "Grove Street King",
"userRole": "admin",
"avatar": "https://affinda-api.s3.amazonaws.com/media/org-avatar.png?AWSAccessKeyId=KEY&Signature=SIG",
"resthookSignatureKey": "465c6598bd34c0558f0ce256c43209d49fa85b0ff3e4c18b24e408b7563143ad",
"isTrial": true,
"validationToolConfig": {
"theme": {
"palette": {
"background": "<string>",
"text": {
"primary": "<string>",
"secondary": "<string>",
"disabled": "<string>"
},
"divider": "<string>",
"primary": {
"main": "<string>",
"light": "<string>",
"dark": "<string>",
"contrastText": "<string>"
},
"secondary": {
"main": "<string>",
"light": "<string>",
"dark": "<string>",
"contrastText": "<string>"
},
"success": {
"main": "<string>",
"light": "<string>",
"dark": "<string>",
"contrastText": "<string>"
},
"annotation": {
"main": "<string>",
"light": "<string>",
"dark": "<string>",
"contrastText": "<string>"
},
"error": {
"main": "<string>",
"light": "<string>",
"dark": "<string>",
"contrastText": "<string>"
},
"info": {
"main": "<string>",
"light": "<string>",
"dark": "<string>",
"contrastText": "<string>"
},
"warning": {
"main": "<string>",
"light": "<string>",
"dark": "<string>",
"contrastText": "<string>"
}
},
"typography": {
"fontFamily": "<string>",
"fontSize": "<string>",
"fontWeightRegular": "<string>",
"fontWeightMedium": "<string>",
"fontWeightBold": "<string>"
},
"borderRadius": 123,
"fontUrl": "<string>"
},
"hideActions": true,
"hideCollection": true,
"hideEditPages": true,
"hideExport": true,
"hideFilename": true,
"hideShowRawValues": true,
"hideReject": true,
"hideReparse": true,
"hideRunOcr": true,
"hideTags": true,
"hideWarnings": true,
"restrictDocumentSplitting": true,
"disableCurrencyFormatting": true,
"disableEditDocumentMetadata": true,
"disableManualAnnotationEditing": true,
"hideDocumentStatus": true
},
"showCustomFieldCreation": true,
"allowDataSourceRecordCreation": true
},
"workspace": {
"identifier": "mEFayXdO",
"name": "<string>",
"organization": {
"identifier": "mEFayXdO",
"name": "Grove Street King",
"userRole": "admin",
"avatar": "https://affinda-api.s3.amazonaws.com/media/org-avatar.png?AWSAccessKeyId=KEY&Signature=SIG",
"resthookSignatureKey": "465c6598bd34c0558f0ce256c43209d49fa85b0ff3e4c18b24e408b7563143ad",
"isTrial": true,
"validationToolConfig": {
"theme": {
"palette": {
"background": "<string>",
"text": {
"primary": "<string>",
"secondary": "<string>",
"disabled": "<string>"
},
"divider": "<string>",
"primary": {
"main": "<string>",
"light": "<string>",
"dark": "<string>",
"contrastText": "<string>"
},
"secondary": {
"main": "<string>",
"light": "<string>",
"dark": "<string>",
"contrastText": "<string>"
},
"success": {
"main": "<string>",
"light": "<string>",
"dark": "<string>",
"contrastText": "<string>"
},
"annotation": {
"main": "<string>",
"light": "<string>",
"dark": "<string>",
"contrastText": "<string>"
},
"error": {
"main": "<string>",
"light": "<string>",
"dark": "<string>",
"contrastText": "<string>"
},
"info": {
"main": "<string>",
"light": "<string>",
"dark": "<string>",
"contrastText": "<string>"
},
"warning": {
"main": "<string>",
"light": "<string>",
"dark": "<string>",
"contrastText": "<string>"
}
},
"typography": {
"fontFamily": "<string>",
"fontSize": "<string>",
"fontWeightRegular": "<string>",
"fontWeightMedium": "<string>",
"fontWeightBold": "<string>"
},
"borderRadius": 123,
"fontUrl": "<string>"
},
"hideActions": true,
"hideCollection": true,
"hideEditPages": true,
"hideExport": true,
"hideFilename": true,
"hideShowRawValues": true,
"hideReject": true,
"hideReparse": true,
"hideRunOcr": true,
"hideTags": true,
"hideWarnings": true,
"restrictDocumentSplitting": true,
"disableCurrencyFormatting": true,
"disableEditDocumentMetadata": true,
"disableManualAnnotationEditing": true,
"hideDocumentStatus": true
},
"showCustomFieldCreation": true,
"allowDataSourceRecordCreation": true
}
},
"targetUrl": "https://my-site.com/receive",
"active": true,
"autoDeactivated": true,
"autoDeactivateReason": "Resthook fails after 10 retries. The last error received was: 500 - Internal server error.",
"version": "v3"
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}Authorizations
Basic authentication using an API key, e.g. {Authorization: Bearer aff_0bb4fbdf97b7e4111ff6c0015471094155f91}.
You can find your API key within the Settings page of the Affinda web app. You can obtain an API key by signing up for a free trial.
Path Parameters
ResthookSubscription's ID Resthook subscription's ID.
Body
ResthookSubscription data to update
The event name to subscribe to.
resume.parse.succeeded, resume.parse.failed, resume.parse.completed, invoice.parse.succeeded, invoice.parse.failed, invoice.parse.completed, invoice.validate.completed, document.parse.succeeded, document.parse.failed, document.parse.completed, document.validate.completed, document.classify.succeeded, document.classify.failed, document.classify.completed, document.rejected, annotation.validated "document.parse.succeeded"
Uniquely identify an organization.
"mEFayXdO"
Uniquely identify a workspace.
"mEFayXdO"
Version of the resthook subscription. Determines the resthook body being fired.
v1, v2, v3 "v3"
Response
Successfully updated resthook subscription data.
Resthook subscription's ID.
The event name to subscribe to.
resume.parse.succeeded, resume.parse.failed, resume.parse.completed, invoice.parse.succeeded, invoice.parse.failed, invoice.parse.completed, invoice.validate.completed, document.parse.succeeded, document.parse.failed, document.parse.completed, document.validate.completed, document.classify.succeeded, document.classify.failed, document.classify.completed, document.rejected, annotation.validated "document.parse.succeeded"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
URL of the resthook's receiver.
"https://my-site.com/receive"
Resthooks only fire for active subscriptions.
true
Resthook subscriptions can be auto deactivated if the receiver continuously returns error status code over a period of time.
true
The reason for the subscription being auto deactivated. May contains the error response that the receiver returned.
"Resthook fails after 10 retries. The last error received was: 500 - Internal server error."
Version of the resthook subscription. Determines the resthook body being fired.
v1, v2, v3 "v3"
Was this page helpful?